## org.apache.hadoop.fs
Interface HasFileDescriptor

All Known Implementing Classes:
  BufferedFSInputStream, FSDataInputStream

    @InterfaceAudience.Private
    @InterfaceStability.Evolving
    public interface HasFileDescriptor

Having a FileDescriptor

Method Summary
`FileDescriptor` `getFileDescriptor()`

Method Detail

### getFileDescriptor

    FileDescriptor getFileDescriptor()
                                     throws IOException

  Returns:
    the FileDescriptor
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation